function [t] = get_intervals_geometric(min_eig, max_eig)
%function [t] = get_intervals_geometric(min_eig, max_eig)
%
% GET_INTERVALS_GEOMETRIC returns knots whose spacing is a
% geometric progression.
%

r = 1.01;
l = min_eig/r;
n = ceil(log2(max_eig/l)/log2(r));
t = (r.^[0:n])*l;
