% This example shows how to compute z = sqrt(A)*b where A is a 2D
% Laplacian.

clear

% generate data
f = @sqrt;
[A, b, fAb, min_eig, max_eig] = gen_data('lap2D', f);
t = get_intervals_geometric(min_eig, max_eig);
k = 100;
tol = 1e-6;

% compute approximation
[z,z_dif,res,num_iter] = stieltjes_approx(A, b, f, t, k, fAb, tol);

% plot
semilogy(res(1:num_iter))
hold on
semilogy(z_dif(1:num_iter),'r')
hold off
legend('res', 'z dif');





